<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('historis_perhitungan', function (Blueprint $table) {
            $table->id();
            $table->string('nama_lahan');
            $table->float('nilai_akhir');
            $table->string('periode'); // contoh: '2025-05'
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('historis_perhitungan');
    }
};
